Package org.eclipse.emf.cdo.common.util

# Class ResourceSetConfigurer.Registry.ResourceSetConfiguration

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.cdo.common.util.ResourceSetConfigurer.Registry.ResourceSetConfiguration

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`

Enclosing class:
  ResourceSetConfigurer.Registry

public static final class ResourceSetConfigurer.Registry.ResourceSetConfiguration extends AdapterImpl implements org.eclipse.net4j.util.lifecycle.IDeactivateable, org.eclipse.net4j.util.container.IManagedContainerProvider

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Method Summary

Modifier and Type
Method
Description
`Exception`
`deactivate()`
`Map<String,Object>`
`getConfigurerResults()`
`org.eclipse.net4j.util.container.IManagedContainer`
`getContainer()`
`Object`
`getContext()`
`ResourceSet`
`getResourceSet()`
`boolean`
`isActive()`
`boolean`
`isAdapterForType(Object type)`
`static ResourceSetConfigurer.Registry.ResourceSetConfiguration`
`of(ResourceSet resourceSet)`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getResourceSet

public ResourceSet getResourceSet()

### getContext

public Object getContext()

### getContainer

public org.eclipse.net4j.util.container.IManagedContainer getContainer()

Specified by:
  `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

### getConfigurerResults

public Map<String,Object> getConfigurerResults()

### isActive

public boolean isActive()

### deactivate

public Exception deactivate()

Specified by:
  `deactivate` in interface `org.eclipse.net4j.util.lifecycle.IDeactivateable`

### isAdapterForType

public boolean isAdapterForType(Object type)

Specified by:
  `isAdapterForType` in interface `Adapter`
Overrides:
  `isAdapterForType` in class `AdapterImpl`

### of

public static ResourceSetConfigurer.Registry.ResourceSetConfiguration of(ResourceSet resourceSet)